public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/7zip/
Date: Tue, 11 Jun 2024 05:32:28 +0000 (UTC)	[thread overview]
Message-ID: <1718083791.a999b2805f728b160f95414b3aa8c7dd4d9f8acf.arthurzam@gentoo> (raw)

commit:     a999b2805f728b160f95414b3aa8c7dd4d9f8acf
Author:     NRK <nrk <AT> disroot <DOT> org>
AuthorDate: Sun Jun  9 11:23:18 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 11 05:29:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a999b280

app-arch/7zip: fix makefile mkdir race

Closes: https://bugs.gentoo.org/933619
Signed-off-by: NRK <nrk <AT> disroot.org>
Closes: https://github.com/gentoo/gentoo/pull/37093
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-arch/7zip/7zip-23.01.ebuild | 1 +
 app-arch/7zip/7zip-24.05.ebuild | 1 +
 app-arch/7zip/7zip-24.06.ebuild | 1 +
 3 files changed, 3 insertions(+)

diff --git a/app-arch/7zip/7zip-23.01.ebuild b/app-arch/7zip/7zip-23.01.ebuild
index 4393a0da0302..51c0b76b70b0 100644
--- a/app-arch/7zip/7zip-23.01.ebuild
+++ b/app-arch/7zip/7zip-23.01.ebuild
@@ -99,6 +99,7 @@ src_compile() {
 		args+=( MY_ASM=uasm )
 	fi
 
+	mkdir -p "${bdir}" || die  # Bug: https://bugs.gentoo.org/933619
 	emake ${args[@]}
 	popd > /dev/null || die "Unable to switch directory"
 }

diff --git a/app-arch/7zip/7zip-24.05.ebuild b/app-arch/7zip/7zip-24.05.ebuild
index 4393a0da0302..51c0b76b70b0 100644
--- a/app-arch/7zip/7zip-24.05.ebuild
+++ b/app-arch/7zip/7zip-24.05.ebuild
@@ -99,6 +99,7 @@ src_compile() {
 		args+=( MY_ASM=uasm )
 	fi
 
+	mkdir -p "${bdir}" || die  # Bug: https://bugs.gentoo.org/933619
 	emake ${args[@]}
 	popd > /dev/null || die "Unable to switch directory"
 }

diff --git a/app-arch/7zip/7zip-24.06.ebuild b/app-arch/7zip/7zip-24.06.ebuild
index 4c6458379962..a6bf83168b8c 100644
--- a/app-arch/7zip/7zip-24.06.ebuild
+++ b/app-arch/7zip/7zip-24.06.ebuild
@@ -99,6 +99,7 @@ src_compile() {
 		args+=( MY_ASM=uasm )
 	fi
 
+	mkdir -p "${bdir}" || die  # Bug: https://bugs.gentoo.org/933619
 	emake ${args[@]}
 	popd > /dev/null || die "Unable to switch directory"
 }


             reply	other threads:[~2024-06-11  5:32 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-11  5:32 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-15 18:55 [gentoo-commits] repo/gentoo:master commit in: app-arch/7zip/ Arthur Zamarin
2025-04-10  6:47 Sam James
2025-04-05  4:36 Arthur Zamarin
2025-04-03 20:57 Sam James
2025-04-03 20:40 Sam James
2025-03-24  6:53 Sam James
2025-01-08 20:43 Sam James
2025-01-08 20:43 Sam James
2024-12-06 19:45 Arthur Zamarin
2024-12-06 19:45 Arthur Zamarin
2024-10-27 18:07 Arthur Zamarin
2024-10-27 18:07 Arthur Zamarin
2024-09-24  5:50 Arthur Zamarin
2024-09-23 17:48 Arthur Zamarin
2024-08-18  1:24 Michael Orlitzky
2024-08-17 22:15 Mike Gilbert
2024-08-13 18:34 Arthur Zamarin
2024-08-02  1:06 Sam James
2024-08-01 19:23 Arthur Zamarin
2024-08-01 19:23 Arthur Zamarin
2024-07-03 19:09 Arthur Zamarin
2024-06-04 18:25 Arthur Zamarin
2024-04-05 14:30 Sam James
2024-04-05 14:26 Sam James
2024-04-05 14:26 Sam James
2024-04-05 14:26 Sam James
2024-04-05 14:26 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1718083791.a999b2805f728b160f95414b3aa8c7dd4d9f8acf.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox